Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class JRDocxExporterNature

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature
          net.sf.jasperreports.engine.export.ooxml.JRDocxExporterNature

All Implemented Interfaces:
  ExporterFilter, ExporterNature

    public class JRDocxExporterNature

extends JROfficeOpenXmlExporterNature

Version:
  $Id: JRDocxExporterNature.java 3910 2010-07-20 11:10:57Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature
`filter`

Constructor Summary
`JRDocxExporterNature(ExporterFilter filter, boolean deepGrid)`

Method Summary
`boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature
`isBreakAfterRow, isBreakBeforeRow, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells, isSplitSharedRowSpan, isToExport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRDocxExporterNature

    public JRDocxExporterNature(ExporterFilter filter,
                                boolean deepGrid)

Method Detail

### isDeep

    public boolean isDeep(JRPrintFrame frame)

  Description copied from interface: `ExporterNature`
  Specified whether to include in the grid sub elements of a given `frame` element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com